### org.jfree.layouting.layouter.content.resolved

# Class ResolvedCountersToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.resolved.ResolvedCountersToken`

Implemented Interfaces:
  ContentToken, ResolvedToken, TextType

`public class ResolvedCountersToken`
`extends java.lang.Object`
`implements ResolvedToken, TextType`

Creation-Date: 12.06.2006, 14:38:29

Author:
  Thomas Morgner

  ## Constructor Summary

  `ResolvedCountersToken(CountersToken parent, int[] counterValues)`

  ## Method Summary

  `int[]`

  `getCounterValue()`

  `CountersToken`

  `getParent()`

  `String`

  `getText()`

## Constructor Details

### ResolvedCountersToken

    public ResolvedCountersToken(CountersToken parent,
                                 int[] counterValues)

## Method Details

### getCounterValue

    public int[] getCounterValue()

### getParent

    public CountersToken getParent()

### getText

    public String getText()

> Specified by:
>   getText in interface ResolvedToken
>   getText in interface TextType